package org.w3c.rdf.syntax;

import org.w3c.rdf.model.*;

/**
 * A standard class used for parsing into an RDF model
 */

public class ModelConsumer implements RDFConsumer {
  
  Model model;

  /**
   * @param an RDF model to fill with triples. This frequently will be an empty model.
   */
  public ModelConsumer(Model empty) {
    this.model = empty;
  }

  /**
   * start is called when parsing of data is started
   */
  public void startModel () {}
  
  /**
   * end is called when parsing of data is ended
   */
  public void endModel () {}
  
  /**
   * assert is called every time a new statement within
   * RDF data model is added
   */
  public void addStatement (Resource subject, Resource predicate, RDFNode object) {

    model.add( model.createStatement(subject, predicate, object) );
  }

}
